server {
    listen       80;
    listen  [::]:80;
    server_name  localhost;
    #prueba gustavo
    #access_log  /var/log/nginx/host.access.log  main;

    location / {
        
        # agrego esto por error de tiempos
        proxy_connect_timeout      450;
        proxy_send_timeout         900;
        proxy_read_timeout         900;
        # donde debe abrir la pagina para el modo produccion
        #root   /usr/share/nginx/html;
        #index  index.html index.htm;  
        
        # activar cuando esta en modo desarrollo y recordar prender
        # docker-compose up -d front 
         proxy_pass   http://100.100.100.11:8181;
       
    }
    location /api/ {
#    location ^~ /api/ {
        if ($request_method = 'OPTIONS') {
            return 204;
        }  
      #   root   /usr/share/nginx/html;
      #   index  index.html index.htm;  
        proxy_set_header            Host $host;
        proxy_set_header            X-Real-ip $remote_addr;
        proxy_set_header            X-Forwarded-For $proxy_add_x_forwarded_for;
        # agrego esto por error de tiempos
        proxy_connect_timeout      450;
        proxy_send_timeout         900;
        proxy_read_timeout         900;
        # haccia donde hago el proxy
        proxy_pass                 http://100.100.100.12:4000/;
    }

    #error_page  404              /404.html;

    # redirect server error pages to the static page /50x.html
    #
    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /usr/share/nginx/html;
    }

    # proxy the PHP scripts to Apache listening on 127.0.0.1:80
    #
    #location ~ \.php$ {
    #    proxy_pass   http://127.0.0.1;
    #}

    # pass the PHP scripts to FastCGI server listening on 127.0.0.1:9000
    #
    #location ~ \.php$ {
    #    root           html;
    #    fastcgi_pass   127.0.0.1:9000;
    #    fastcgi_index  index.php;
    #    fastcgi_param  SCRIPT_FILENAME  /scripts$fastcgi_script_name;
    #    include        fastcgi_params;
    #}

    # deny access to .htaccess files, if Apache's document root
    # concurs with nginx's one
    #
    #location ~ /\.ht {
    #    deny  all;
    #}
}